SQLDB="exodus/exodus.db"

help:
#Usage
	@grep -e '[a-z\-]:' -e '^#' Makefile | sed -e 's/:.*/:/g' | tr '\n' '@' |\
	 sed -e 's/@#/ /g' -e 's/@$$//g' | tr '@' '\n' |\
	 sed -e 's/^/make /g'

init: ./bin/buildout
#Setup environment database
	@./bin/buildout
	@echo "no" | ./bin/django syncdb

./bin/buildout:
#Setup environment database - part creation
	@python bootstrap.py


debug: init
#Run server in extra debugging mode
	@./bin/django runserver_plus

run: init
#Run server in normal power mode
	@./bin/django runserver


debug-init: init
#Put debug.sql in database
	@sqlite3 $(SQLDB) < debug.sql

clean:
#Remove all created data, development ground, but keep downloaded files
	@rm -f $(SQLDB)
	@rm -Rf develop-eggs eggs parts .installed.cfg bin

dist-clean: clean
#Remove all created data, development ground and downloaded files
	@rm -Rf downloads

test: init
# Testing suite
	@./bin/test

new: clean debug-init debug
#Fresh start, with new datebase which include debugging code

batch: clean debug-init run
#Intended usage for batch runs only e.g. no debug server
